org.apache.storm.streams

## Class WindowNode

- java.lang.Object
- - org.apache.storm.streams.WindowNode

- All Implemented Interfaces:
    Serializable

      public class WindowNode
      extends Object

  Node that captures the windowing configurations.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `componentId`
    `protected org.apache.storm.streams.GroupingInfo` | `groupingInfo`
    `protected Fields` | `outputFields`
    `protected int` | `parallelism`
    `static String` | `PUNCTUATION`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `emitsPair()`
    `Fields` | `getOutputFields()`
    `boolean` | `isWindowed()`
    `void` | `setEmitsPair(boolean emitsPair)`
    `void` | `setWindowed(boolean windowed)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PUNCTUATION

          public static final String PUNCTUATION

      See Also:
        Constant Field Values

    - #### outputFields

          protected final Fields outputFields

    - #### groupingInfo

          protected org.apache.storm.streams.GroupingInfo groupingInfo

    - #### componentId

          protected String componentId

    - #### parallelism

          protected int parallelism

  - ### Method Detail

    - #### getOutputFields

          public Fields getOutputFields()

    - #### isWindowed

          public boolean isWindowed()

    - #### setWindowed

          public void setWindowed(boolean windowed)

    - #### emitsPair

          public boolean emitsPair()

    - #### setEmitsPair

          public void setEmitsPair(boolean emitsPair)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.